> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cartesia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Agent Phone Numbers

<Danger>
  This endpoint is deprecated! Use [List Phone Numbers](/api-reference/agents/phone-numbers/list) instead
</Danger>


## OpenAPI

````yaml latest.yml GET /agents/{agent_id}/phone-numbers
openapi: 3.0.1
info:
  title: Cartesia API
  version: 0.0.1
servers:
  - url: https://api.cartesia.ai
    description: Production
security: []
paths:
  /agents/{agent_id}/phone-numbers:
    get:
      tags:
        - Agents
      summary: List Phone Numbers (Deprecated)
      operationId: agents_phone-numbers_deprecated
      parameters:
        - $ref: '#/components/parameters/CartesiaVersionHeader'
        - name: agent_id
          in: path
          description: The ID of the agent.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PhoneNumber'
      deprecated: true
      security:
        - APIKeyAuth: []
components:
  parameters:
    CartesiaVersionHeader:
      name: Cartesia-Version
      in: header
      description: API version header.
      required: true
      schema:
        type: string
        format: date
        example: '2026-08-14'
        default: '2026-08-14'
        enum:
          - '2026-08-14'
  schemas:
    PhoneNumber:
      title: PhoneNumber
      type: object
      description: A phone number that can be used to make calls to your agent.
      properties:
        agent_id:
          type: string
          description: The ID of the agent.
        number:
          type: string
          description: The phone number.
        created_at:
          type: string
          format: date-time
          description: The UTC timestamp when the phone number was created.
        updated_at:
          type: string
          format: date-time
          description: The UTC timestamp when the phone number was last updated.
        is_cartesia_managed:
          type: boolean
          description: >-
            Whether the phone number is managed by Cartesia. As of now, this is
            always true since Cartesia provisions phone numbers for you.
      required:
        - agent_id
        - number
        - created_at
        - updated_at
        - is_cartesia_managed
  securitySchemes:
    APIKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        Cartesia API key (`sk_car_...`). Get one at
        [play.cartesia.ai/keys](https://play.cartesia.ai/keys).
      x-default: $CARTESIA_API_KEY

````